Bug 485624 - SElinux prevented pppd
SElinux prevented pppd
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
10
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
: SELinux
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-15 09:08 EST by feibaicamel
Modified: 2009-11-18 08:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
sometimes network can't connect!!
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 08:00:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description feibaicamel 2009-02-15 09:08:05 EST
Description of problem:
SElinux prevented pppd(pppd_t)"signal"initrc_t,

SELinux denied access requested by pppd. It is not expected that this access is
required by pppd and this access may signal an intrusion attempt. It is also
possible that the specific version or configuration of the application is
causing it to require additional access.

Version-Release number of selected component (if applicable):

ppp-2.4.4-8

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 feibaicamel 2009-02-15 09:19:59 EST
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
sometimes network can't connect!!
Comment 2 Daniel Walsh 2009-02-25 10:25:29 EST
You have a program running as initrc_t which is unexpected.  

ps -eZ | grep initrc_t

What program is it?


It might be a labeling problem.

Should probably be running as NetworkManager_t.
Comment 3 Andre Costa 2009-03-03 12:27:52 EST
I've been experiecing this too (my GSM connection drops for apparently no reason). I ran grep as instructed and this is what comes out:

system_u:system_r:initrc_t:s0    2535 ?        00:00:30 preload

Should I file this as a bug on preload? What exactly should I report? Is there any workaround (aside from disabling preload)?
Comment 4 Andre Costa 2009-03-03 12:37:57 EST
Please raise this bug's priority to HIGH, it's preventing the use of GSM USB modems with NetworkManager (at least when preload is running, which seems to be the problem according to comment #3).
Comment 5 Daniel Walsh 2009-03-03 14:51:35 EST
You can allow this for now.

# audit2allow -M mypol -l -i /var/log/audit/audit.log
# semodule -i mypol.pp

Miroslav add

init_signal_script(pppd_t)

I believe what is happening is dbus is executing a script in 

/etc/NetworkManager/dispatcher.d/

Which is getting executed as initrc_t, this starts the pppd_t process which sends a signal to its parent.
Comment 6 Miroslav Grepl 2009-03-06 08:15:10 EST
Fixed in selinux-policy-3.5.13-48.fc10
Comment 7 Bug Zapper 2009-11-18 07:45:46 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Daniel Walsh 2009-11-18 08:00:22 EST
Closing as current release

Note You need to log in before you can comment on or make changes to this bug.